SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[SaveWorkGroupSupervisor] (
	@VCC Varchar(50) = NULL,
	@Description Varchar(50) = NULL,
	@SupervisorId Varchar(250) = NULL,
	@CampaignId Varchar(250) = NULL,
	@AgentId Varchar(250) = NULL,
	@CreatedDate Datetime = NULL,
	@CreatedByUserId Varchar(50) = NULL,
	@LastModifiedDate Datetime = NULL,
	@LastModifiedByUserId Varchar(50) = NULL,
	@IsHistoric BIT = NULL
)
AS
BEGIN
	SET NOCOUNT ON

		INSERT INTO [WorkGroupSupervisor] (
			[VCC], [Description], [SupervisorId], 
			[CampaignId], [AgentId],[CreatedDate], [CreatedByUserId], 
			[LastModifiedDate], [LastModifiedByUserId], [TimeStamp], [IsHistoric]
			)
		VALUES (
			@VCC, @Description, @SupervisorId,
			@CampaignId, @AgentId,@CreatedDate, @CreatedByUserId, 
			@LastModifiedDate, @LastModifiedByUserId, GETUTCDATE(), @IsHistoric
		)
		
	
    SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
